# The name of your app.
# NOTICE: name defined in TARGET has a corresponding QML filename.
#         If name defined in TARGET is changed, following needs to be
#         done to match new name:
#         - corresponding QML filename must be changed
#         - desktop icon filename must be changed
#         - desktop filename must be changed
#         - icon definition filename in desktop file must be changed
TARGET = SwissTrains

CONFIG += sailfishapp

QT += sql dbus core quick qml xml

SOURCES += src/SwissTrains.cpp \
    src/utils.cpp \
    src/connection/sbbstation.cpp \
    src/connection/sbbconnectioninfo.cpp

OTHER_FILES += qml/SwissTrains.qml \
    qml/cover/CoverPage.qml \
    rpm/SwissTrains.spec \
    rpm/SwissTrains.yaml \
    SwissTrains.desktop \
    qml/pages/MainPage.qml \
    qml/pages/ScheduleInputPage.qml \
    qml/pages/DeparturesInputPage.qml \
    qml/pages/ScheduleResultsPage.qml

HEADERS += \
    src/utils.h \
    src/connection/sbbstation.h \
    src/connection/sbbconnectioninfo.h
