#include "sbbstation.h"

SBBStation::SBBStation(QObject *parent) :
    QObject(parent)
{
}

SBBStation::SBBStation(QString& name) :
    QObject(), _name(name)
{
}


SBBStation::SBBStation(const SBBStation &other) :
    QObject()
{
    _name = other.getName();
}

SBBStation& SBBStation::operator=(const SBBStation & that) {
    if (this != &that) {
        this->_externalId = that._externalId;
        this->_name = that._name;

    }
    return *this;
}


void SBBStation::setName(const QString &newName)
{
    _name = newName;
    _externalId = "";
}


SBBStation& SBBStation::operator=(const QString & that) {
    this->_name = that;
    this->_externalId = "";

    return *this;
}
