#ifndef UTILS_H
#define UTILS_H

#include <QDebug>
#include <QObject>

class Utils : public QObject
{
    Q_OBJECT
    Q_PROPERTY(QString message READ getMessage NOTIFY messageChanged)
public:
    explicit Utils(QObject *parent = 0);

private:
    QString _message;
    QString getMessage();
    int _msgcounter;

signals:
    void messageChanged();

public slots:
    void togglePlaying();
    void setText();

};

#endif // UTILS_H
